API Description

The Amazon Follow Seller API is used to initiate data collection for sellers offering the same product. After calling the API, the system will automatically fetch follow sellers and competing seller information in the background, helping you understand seller competition and support pricing, competitor analysis, and market decisions.

🤖 Pulling this data to power an AI Agent? Instead of writing custom parsing code, leverage our MCP Server to grant your AI workspace native, real-time access with zero integration friction.

Request URL

POST https://scrapeapi.pangolinfo.com/api/v1/scrape/follow-seller

Request Headers

ParametersParameter valueTypeDescription
Content-Typeapplication/jsonstringData format
AuthorizationBearer xxxstringAuthorization Token

Request Parameters

ParametersRequiredTypeDescription
urlYesstringTarget site URL
Note: If omitted, site are required.
siteYesstringSite information
Note: site is optional if url is provided.
Supported countries / marketplaces (8):
amz_us (United States) / amz_de (Germany) / amz_uk (United Kingdom) / amz_jp (Japan) / amz_fr (France) / amz_it (Italy) / amz_es (Spain) / amz_ca (Canada)
bizContextYesobjectBusiness context

Business Context Parameters

ParameterTypeDescription
zipcodestringThe value must match the marketplace; the backend selects one when omitted. US: 10041 / 90001 / 60601 / 84104; UK: W1S 3AS / EH15 1LR / M13 9PL / M2 5BQ; Canada: M4C 4Y4 / V6E 1N2 / H3G 2K8 / T2R 0G5; Germany: 80331 / 10115 / 20095 / 60306; France: 75000 / 69001 / 06000 / 13000; Japan: 100-0004 / 060-8588 / 163-8001 / 900-8570; Italy: 20019 / 50121 / 00042 / 30100; Spain: 41001 / 28001 / 08001 / 46001
asinstring10-character Amazon Standard Identification Number (ASIN), for example: B0G4QPYK4Z

Response value

Return valueTypeDescription
codeintStatus Code
messagestringMessage
dataobjectReturned data

Return parameter data description

Return valueTypeDescription
jsonstring[]Return JSON data
urlstringTask URL
taskIdstringTask ID

data.json[].data.items[] Offer Fields

FieldTypeDescription
optionsstringItem condition / buying option
pricestringOffer price
deliverystringEstimated delivery time
shipsFromstringDispatching party
soldBystringSeller name
hasSoldByLinkbooleanWhether the seller name is a hyperlink on Amazon; true for a link and false for plain text
isFeaturedbooleanWhether this is Amazon’s featured offer; may be omitted for non-featured offers

Request example

curl --request POST \
  --url https://scrapeapi.pangolinfo.com/api/v1/scrape/follow-seller \
  --header 'Authorization: ' \
  --header 'Content-Type: application/json' \
  --data '{
  "url": "https://www.amazon.com",
  "site": "",
  "bizContext": {
    "asin": "B0G4QPYK4Z"
  }
}'

Return example

{
  "code":0,
  "message":"ok",
  "data":{
    "json":[{"metadata":{"executionTime":141,"parserType":"amzFollowSeller","parsedAt":"2026-01-21T02:01:26.414Z"},"code":0,"data":{"items":[{"delivery":"Wednesday, January 28","price":"$59.23","soldBy":"Amazon Resale","hasSoldByLink":true,"options":"Used \n                    - Very Good","shipsFrom":"Amazon.com"}]},"message":"ok"}],
    "url":"https://www.amazon.com",
    "taskId":"543fefe869cc4c3d9e37a3462f63681c"
  }
}

Credit Consumption

  • Average response time: 5s
  • Credit consumption: 1 Credit/Per Request